<ui:composition 
xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	template="/front/front.xhtml"
	xmlns:p="http://primefaces.org/ui">
	
	<ui:define name = "content" >
	
	<h:panelGroup rendered="#{userBean.isAuthenticated}">
	<h:form>
	<h:dataTable value="#{commentBean.comms}" var="item" cellspacing="20" >
		
		<h:column>
			<f:facet name="header">
				<h:outputText value="" />
			</f:facet>
			<h:outputText value="#{item.participantName}" />

		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="" />
			</f:facet>
			<h:outputText value="#{item.text}" />

		</h:column>

		<h:column>
			<f:facet name="header">
				<h:outputText value="" />
			</f:facet>
			<h:outputText value="#{item.createdOn}" />

		</h:column>
		
		

		<h:column>
			<th style="text-align: center"><h:commandButton
					action="#{commentBean.DelCom(item)}" value="Delete" /></th>
		</h:column>

		<h:column>
			<th style="text-align: center"><h:commandButton
					action="#{commentBean.AddCom()}" value="Create" /></th>
		</h:column>




	</h:dataTable>

	

	
		<label style="margin-top:5%;" class="">Comment </label>
		<h:inputTextarea  value="#{commentBean.text}" /> 
		

	
	<h:commandButton style=" margin-left : 2%;" value="Valider" action="#{commentBean.AddCom(userBean.userId,userBean.userName)}"
		class="" />
	

</h:form>
</h:panelGroup>

	</ui:define>
   
</ui:composition>